Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1265967

Description of problem:

From satellite webui --> Infrastructure --> Compute Resource --> it is possible to edit and change the libvirt 'Display type' to

VNC/SPICE.

But with hammer utility there are only following options available and no option for changing display.

--set-console-password SET_CONSOLE_PASSWORD for Libvirt and Vmware only

--url URL                                   URL for Libvirt, RHEV, and Openstack

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1. Create compute resource: Satellite webui -->  Infrastructure --> Compute Resource --> New Compute Resource --> Provider:

libvirt --> Fill other details --> Submit

2.  Infrastructure --> Compute Resource --> Click on the 'Edit' tab in front libvirt compute resource --> change the 'Display type' -->

Submit

3. From Satellite command line no option available to change display of libvirt compute resource.

1. hammer compute-resource update --help

Actual results:

No option to change display type of libvirt compute resource.

Expected results:

Hammer utility should have option to change the display type of libvirt compute resource.

Additional info:

Associated revisions

Revision e52bc50f - 04/05/2016 03:25 AM - Adam Ruzicka

Fixes #14330 - Provide option in hammer to change display type for

libvirt compute resource

History

#1 - 03/23/2016 11:33 AM - Dominic Cleal

- Category set to Compute resources - libvirt

API parameter is missing documentation.
#2 - 03/23/2016 11:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Adam Ruzicka

- Pull request https://github.com/theforeman/foreman/pull/3363 added

#3 - 04/05/2016 04:01 AM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e52bc50f83ebabb40b28c20c263f97947c881207.

#4 - 04/05/2016 10:51 AM - Dominic Cleal

- translation missing: en.field_release set to 136
